GETHUGEPAGESIZE(3)

NAME
gethugepagesize - Get the default huge page size

SYNOPSIS
#include <hugetlbfs.h>
long gethugepagesize(void)

DESCRIPTION
The gethugepagesize() function returns the default huge page size used by libhugetlbfs. This will be either the system default, or a valid value set by the environment variable HUGETLB_DEFAULT_PAGE_SIZE. If the system does not support any huge page sizes an error is returned.

RETURN VALUE
On success, the default huge page size is returned. On failure, -1 is returned and errno is set appropriately.

ERRORS

ENOSYS
    The system does not support huge pages.

SEE ALSO
libhugetlbfs(7)

AUTHORS
libhugetlbfs was written by various people on the libhugetlbfs-devel mailing list.